#!/bin/sh
# $Id: indent.sh,v 1.1 2003/01/30 14:22:51 k-fish Exp $
#
# Uses xmlindent to pretty-print the XML sources.

# adjust if needed
XMLINDENT=`which xmlindent`

# clumsy, is there better way?
cd docbook
LANGUAGES=`ls -d [!C]*`
cd ..

# do the hard work...
for LANG in $LANGUAGES ; do
    for FILE in `find docbook/$LANG/ -name '*.xml'` ; do
	$XMLINDENT -i 2 -w $FILE
	rm $FILE~
    done
done
